Bug 179891 - via_rhine crashes kernel after snmpd gets statistics
Summary: via_rhine crashes kernel after snmpd gets statistics
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-03 17:27 UTC by Mogens Kjaer
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 14:37:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport output (346.62 KB, application/x-bzip2)
2006-02-07 08:34 UTC, Mogens Kjaer
no flags Details
jwltest-rhine-mdelay-undo.patch (2.99 KB, patch)
2006-02-09 17:53 UTC, John W. Linville
no flags Details | Diff

Description Mogens Kjaer 2006-02-03 17:27:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
After having upgraded to 2.6.15-1.1830_FC4, my machine
will crash a few minutes after booting.

By tail -f /var/log/messages I can see that this happens
when the snmpd daemon runs.

If I replace my via rhine card (D-Link DFE-530TX REV-A1) with
a tulip card, the problem disappears.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Wait
3. Crash
  

Actual Results:  Crash

Expected Results:  No crash

Additional info:

A screen dump at the time of the crash:

BUG: spinlock cpu recursion on CPU#0, nifd/1468 (not tainted)
 lock: c7d7643c, .magic: dead4ead, .owner: snmpd/1514, .owner_cpu: 0
[<c01e16de>] _raw_spin_lock+0x5e/0x6e [<c0316bae>] _spin_lock_irqsave+0x9/0xd
[<c882d266>] rhine_get_stats+0x23/0x8e [via_rhine] [<c0179bb7>] seq_printf+0x2d/0x50
...

The full screendump is at http://www.crc.dk/viarhine2.jpg (95KB)

Comment 1 Chris Lalancette 2006-02-06 21:51:34 UTC
I have 2 things for you:

1.  Could you please tell us the last kernel that worked for you (i.e. did the
last 2.6.14-1.1656 kernel work)?  This will at least give us a baseline to work
from.

2.  Could you run:

# /usr/sbin/sysreport

as root, and attach it to this bugzilla?

Thanks.    

Comment 2 Mogens Kjaer 2006-02-07 08:34:14 UTC
Created attachment 124306 [details]
sysreport output

Sysreport output excl. /var/log

Comment 3 Mogens Kjaer 2006-02-07 08:40:52 UTC
All previous kernels (incl. 2.6.14-1.1656_FC4) have worked for me. 

With difficulty (bug 180317), I've made a sysreport file.

Note: This sysreport file has been made with two tulip cards in the
machine instead of a tulip and via-rhine card.

However, this contains one year of logfiles from /var/log which
I don't want disclosed to the public. I therefore have removed 
these files from the attachment.

If you need anything from the logfiles, please let me know which file,
and I can send it by private email.


Comment 4 John W. Linville 2006-02-09 17:53:39 UTC
Created attachment 124445 [details]
jwltest-rhine-mdelay-undo.patch

Let's try backing-out a recent driver change...

Comment 5 John W. Linville 2006-02-09 17:55:02 UTC
Test kernels w/ the above patch are available here: 
 
   http://people.redhat.com/linville/kernels/fc4/ 
 
Please give those a try and post the results here...thanks! 

Comment 6 Mogens Kjaer 2006-02-20 11:29:02 UTC
Both 1830 and 1831 have this problem.

kernel-2.6.15-1.1832_FC4.jwltest.31.i686.rpm works OK

Comment 7 Mogens Kjaer 2006-02-21 09:33:52 UTC
FC5test3 has the same problem. Running kernel 2.6.15-1.1955_FC5smp

Comment 8 John W. Linville 2006-05-18 19:26:54 UTC
Is this still an issue w/ the latest FC5 (and/or rawhide) kernels?

Comment 9 Mogens Kjaer 2006-05-19 08:56:36 UTC
FC5: 2.6.16-1.2111_FC5 OK

FC4: 2.6.16-1.2108_FC4 fails

Comment 10 John W. Linville 2006-05-19 14:37:48 UTC
Actually, I'm not sure how FC5 works either.  I got this confused w/ another 
issue... 
 
I have posted upstream a patch equivalent to the one from comment 4.  
Hopefully that will resolve the issue, once it filters into Fedora. 


Note You need to log in before you can comment on or make changes to this bug.